image: python:3.8-slim-buster

stages:
  - build
  - deploy

before_script:
  - apt update && apt install -y make

build:
  stage: build
  tags:
    - linux
  script:
    - python3 -m pip install poetry --upgrade
    - make ci

deploy:
  stage: deploy
  tags:
    - linux
  script:
    - python3 -m pip install poetry --upgrade
    - bash .ci/release.sh

build:windows:
  stage: build
  tags:
    - windows
  script:
    - python -m pip install .
    - python -m bitia --help
    - python -m bitia run "ls -ltrh /"
